### Function

# AppStream utils_get_gui_environment_style_name

since: 1.0.0

#### Declaration [src]

    const gchar*
    as_utils_get_gui_environment_style_name (
      const gchar* env_style
    )

#### Description [src]

Get a human-readable, translated name of the combination of GUI environment and style. E.g. “plasma:dark” becomes “Plasma (Dark)”.

Available since: 1.0.0

#### Parameters

`env_style`

  Type: `const gchar*`

  A GUI environment style ID, e.g. “pantheon:dark”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

A localized name of the environment style, or `NULL` if none available.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.